{% extends "base_admin.html" %}

{% block content %}
    <h2>Nombre de retours au total : {{ nb_total }}</h2>
    <h2>Moyenne : {{ average.rating__avg|floatformat }}/10</h2>
    <h2>Répartition des notes : </h2>

    <canvas id="myChart" class="chartjs" width="500" height="200"
            style="display: block; width: 500px; height: 200px;"></canvas>

    <script>
        new Chart(document.getElementById("myChart"), {
            "type": "doughnut",
            "data": {
                "labels": ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "10"],
                "datasets": [{
                    "label": "My First Dataset",
                    "data": [{% for rating in nb_rating %}{{ rating }}, {% endfor %}],
                    "backgroundColor": ["rgb(0,0,0)", "rgb(0,30,52)", "rgb(0,57,97)", "rgb(0,71,121)",
                                        "rgb(0,71,123)", "rgb(0,81,137)", "rgb(0,103,180)", "rgb(0,134,227)",
                                        "rgb(48,169,255)", "rgb(120,189,243)"]
                }]
            }
        });
    </script>
    <ul>
    {% for review in reviews %}
        <li>Par {{ review.insa_email }} le {{ review.date_submission }}, note {{ review.rating }}/10.
            <p>Commentaire : {{ review.comment }}</p>
        </li>
    {% endfor %}<br/>
    </ul>
{% endblock %}
